%define debug_package %{nil}

%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%define mlib lib
%else
%define monodir %{_libdir}
%define mlib %{_lib}
%endif

Summary: NAnt is a build tool for Mono and .NET
Name: nant
Version: 0.85	
Release: 12%{?dist}
Source0: http://download.sourceforge.net/nant/%{name}-%{version}-src.tar.gz
Patch0: nant-build.patch
Patch1: nant-app.patch
License: GPL
Group: Development/Tools
Url: http://nant.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mono-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%package docs
Summary:	Documentation package for nant
Group:	Documentation
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation of nant

%prep
%setup -q -n %{name}-%{version}
%if "%{?fedora}" > "5"
sed -i -e "s/@LIBDIR@/%{mlib}/" %{PATCH1}
%patch1 -p1 -b .orig
sed -i -e "s/%{mlib}/@LIBDIR@/" %{PATCH1}
%endif
%patch0 -p1 -b .orig
sed -i -e "s/@LIB@/%{_lib}/" NAnt.build
sed -i -e "s!@BUILDROOT@!%{buildroot}/usr!" NAnt.build
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
sed -i 's/\r//' doc/license.html
sed -i 's/\r//' COPYING.txt
sed -i 's/\r//' README.txt
sed -i 's/\r//' doc/releasenotes.html

%build
export MONO_PATH=%{buildroot}/%{mlib}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
sed -i -e "s#%{buildroot}##" %{buildroot}%{_bindir}/%{name}
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %{buildroot}%{_datadir}/NAnt/doc

%clean
rm -rf %{buildroot}

%post docs
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun docs
scrollkeeper-update -q || :

%files
%defattr(-,root,root)
%doc README.txt doc/*.html COPYING.txt
%{_bindir}/nant
%{monodir}/NAnt/

%files docs
%defattr(-,root,root,-)
%doc examples/* doc/help/*

%changelog
* Wed Dec 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-12
- rebuild for boo

* Sun Dec 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-11
- No longer the RC release

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-10
- more hacks and slashes...

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-9
- more 64bit fixes

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-8
- scrollkeeper fixes

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-7
- FC5 and FC6 fixes (libdir)

* Wed Jul 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-6
- Security fix to spec file
- Other spec file fixes

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-5
- fixes to EOLs
- added R scrollkeeper
- changed group

* Sat Jul 08 2006 John Mahowald  <jpmahowald@gmail.com> - 0.85-4
- libdir fix

* Wed Jun 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-rc4-3
- Added docs package
- Added post and postun for docs
- Removed debuginfo package (empty)

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-rc4-1
- Initial import for FC Extras

